#include "io.h"
#include <avr/io.h>
#include <avr/interrupt.h>

volatile int AdChannel[12]; //4 direct + 2*4 via the mux
unsigned char CurrChannel;


void AdInit(void) {
    int i;
    for (i=0; i<12; i++) AdChannel[i]=4321;
    CurrChannel=0;
    DIDR0=0x3F;
    ADCSRA=0xCF; //start conversion, prescaler = /128
}


#define ADMUX_BASE	0x40
ISR(ADC_vect) {
    //Store result
    AdChannel[CurrChannel]=ADC;
    
    //Next channel
    CurrChannel++;
    if (CurrChannel==12) CurrChannel=0;
    
    if (CurrChannel<4) { //get directly connected analog values
	ADMUX=CurrChannel+ADMUX_BASE;
    } else if (CurrChannel<8) {
	ADMUX=4+ADMUX_BASE;
    } else {
	ADMUX=5+ADMUX_BASE;
    }
    IoSetMuxAddr(CurrChannel&3);
    ADCSRA|=0x40; //Start conversion
}
